Parallels 10 is not full compatible with El Capitan

Discussion in 'Mac Apps and Mac App Store' started by al404, Sep 30, 2015.

  1. al404 macrumors 6502

    al404

    Joined:
    Apr 24, 2011
    Location:
    Novara, Italy
    #1
    Just got an email from parallel that advise me that parallels 10 is not fully compatible with El Capitan, no drag and drop and no full screen.

    I have the beta of El capitan since it was public release couldn't they fix the issue or they don't won't to fix them? Should they wait till today to send the email?

    i'm not going to pay for an yearly upgrade for each OS X new release to have latest Paralles version

    hope they are going to fix this with some update

    this email really piss me off, even if i may think to upgrade now i may look to some competitor
     
  2. simonsi macrumors 601

    simonsi

    Joined:
    Jan 3, 2014
    Location:
    Auckland
    #2
    Best to rant to Parallels, they will have been part of the developer program...
     
  3. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #3
    Their fix will be to tell you to buy version 11.
     
  4. al404 thread starter macrumors 6502

    al404

    Joined:
    Apr 24, 2011
    Location:
    Novara, Italy
    #4
    No more, each year is the same old story

    I'm going to look at wmware or virtualbox
     
  5. maflynn Moderator

    maflynn

    Staff Member

    Joined:
    May 3, 2009
    Location:
    Boston
    #5
    VMware is not much different though I've been able to run VMware across different versions of OS X successfully. With that said I have run into the situation where a newer version of OS X breaks VMware - most of the time that's not the case but it has happened.

    I think Parallels discovered that they can increase their revenue by forcing customers to upgrade each year if they upgrade OS X. For the most part there really is no need to do that.

    I would recommend VirtualBox only because its free and you can see if it works or not.
     
  6. sracer macrumors 603

    sracer

    Joined:
    Apr 9, 2010
    Location:
    Land of Bongos and Beatniks
    #6
    I ditched Parallels when they pulled the required upgrade to match OSX version nonsense. VirtualBox works very well for my purposes.
     

Share This Page